#ifndef REGULATIONINTENSITE_H
#define REGULATIONINTENSITE_H

typedef struct {
  float rapportR;
  int pinU;

  float uMesure;
  float uReel;
} PontDiviseur;

typedef struct {
  float r;
  int pinU1;
  int pinU2;

  float u1;
  float u2;
  float i;
} CurentFromR;

typedef struct {
  float targetI;
  int pinPWM;

  float *curI;
} Reg;

float readCurentFromR(CurentFromR *);
float readUFromPontDiviseur(PontDiviseur *);
void regulationI(Reg *);
void regulationVCE(Reg *);

#endif
